You are not logged in.

Dear visitor, welcome to Skin Consortium. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Saturday, August 9th 2008, 8:05am

BrowserPro script error

Hi, I just updated the ClassicPro to version 1.03 which has the BrowserPro Widget but I'm having some problems with it in 3 of the search options, the ones that give the script error are the following ones:

Google
Yahoo
Swisscharts (Song)

And here is a screenshot of the error I get, after that Winamp crashes



I think it is an error somewhere in the code that handles those ones, though with Swisscharts is odd because if I start Winamp and use the Swisscharts (Song) I get a page not found error but if I use the other of the search option that works and then I use again the Swisscharts (Song) I get the script error.

Also I noticed that the google one works only with certain songs but with other ones it gives that script error, Yahoo doesn't works with any songs it gives right away the script error.

Hope you can fix it, other than that the widget works really well.

This post has been edited 1 times, last edit by "DBGARZA" (Aug 9th 2008, 9:01am)


pjn123

"Your future depends on your dreams. So go to sleep"

Posts: 2,969

Name: Pieter

Location: /\/¯¯¯¯¯\/\, South-Africa

Occupation: Auditor

  • Send private message

2

Saturday, August 9th 2008, 12:52pm

Thanks! Will try to reproduce and fix if I find the bug ;)
"I either want less corruption, or more chance to participate in it"

pjn123

"Your future depends on your dreams. So go to sleep"

Posts: 2,969

Name: Pieter

Location: /\/¯¯¯¯¯\/\, South-Africa

Occupation: Auditor

  • Send private message

3

Saturday, August 9th 2008, 1:00pm

Btw, what Windows are you using? Vista or XP? And what is your InternetExplorer version (6/7/8)
"I either want less corruption, or more chance to participate in it"

pjn123

"Your future depends on your dreams. So go to sleep"

Posts: 2,969

Name: Pieter

Location: /\/¯¯¯¯¯\/\, South-Africa

Occupation: Auditor

  • Send private message

4

Saturday, August 9th 2008, 1:12pm

Stupid me :P... I see now that that error is in the Browser script and not BrowserPro widget.

Make sure your using the latest Winamp version and if you are and it still do these errors you can do this:
- Delete this folder (C:\Program Files\Winamp\Plugins\classicPro\engine\xui\browser)
- Edit this file:
C:\Program Files\Winamp\Plugins\classicPro\engine\xui\CentroSUI\CentroSUI.xml
line 143 (but its probably something else on your version still... so just search for id="cpro.browser"
Now change that line so that it start like this:
<Winamp:Browser id="cpro.browser"

If something horible goes wrong, pm me and I'll send you the latest version if ClassicPro.. maybe that will help.

If you did the above and it still give that error then it probably a Winamp bug, since the browser is bundled with Winamp itself... I cant debug the script because I dont have all the scripts... you'll have to wait for martin.deimos to get back from holiday :P ;)
"I either want less corruption, or more chance to participate in it"

Similar threads

Rate this thread

Sponsored Links: